net.minecraft.util

## Class MovingObjectPosition

- java.lang.Object
- - net.minecraft.util.MovingObjectPosition

-     public class MovingObjectPosition
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MovingObjectPosition.MovingObjectType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockX`
    `int` | `blockY`
    `int` | `blockZ`
    `Entity` | `entityHit`
    `java.lang.Object` | `hitInfo` Used to add extra hit info
    `Vec3` | `hitVec`
    `int` | `sideHit`
    `int` | `subHit` Used to determine what sub-segment is hit
    `MovingObjectPosition.MovingObjectType` | `typeOfHit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MovingObjectPosition(Entity par1Entity)`
    `MovingObjectPosition(Entity p_i45482_1_, Vec3 p_i45482_2_)`
    `MovingObjectPosition(int par1, int par2, int par3, int par4, Vec3 par5Vec3)`
    `MovingObjectPosition(int p_i45481_1_, int p_i45481_2_, int p_i45481_3_, int p_i45481_4_, Vec3 p_i45481_5_, boolean p_i45481_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### typeOfHit

          public MovingObjectPosition.MovingObjectType typeOfHit

    - #### blockX

          public int blockX

    - #### blockY

          public int blockY

    - #### blockZ

          public int blockZ

    - #### sideHit

          public int sideHit

    - #### hitVec

          public Vec3 hitVec

    - #### entityHit

          public Entity entityHit

    - #### subHit

          public int subHit

      Used to determine what sub-segment is hit

    - #### hitInfo

          public java.lang.Object hitInfo

      Used to add extra hit info

  - ### Constructor Detail

    - #### MovingObjectPosition

          public MovingObjectPosition(int par1,
                              int par2,
                              int par3,
                              int par4,
                              Vec3 par5Vec3)

    - #### MovingObjectPosition

          public MovingObjectPosition(int p_i45481_1_,
                              int p_i45481_2_,
                              int p_i45481_3_,
                              int p_i45481_4_,
                              Vec3 p_i45481_5_,
                              boolean p_i45481_6_)

    - #### MovingObjectPosition

          public MovingObjectPosition(Entity par1Entity)

    - #### MovingObjectPosition

          public MovingObjectPosition(Entity p_i45482_1_,
                              Vec3 p_i45482_2_)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`